Bug 1944283 - Remove %pre scriptlet for initial-setup-graphical.service and initial-setup-text.service
Summary: Remove %pre scriptlet for initial-setup-graphical.service and initial-setup-t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-29 16:59 UTC by Mohan Boddu
Modified: 2021-04-05 00:16 UTC (History)
4 users (show)

Fixed In Version: initial-setup-0.3.90-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-05 00:16:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mohan Boddu 2021-03-29 16:59:30 UTC
Description of problem:
The %pre scriptlets for initial-setup-graphical.service and initial-setup-text.service has been removed upstream a while ago (https://github.com/rhinstaller/initial-setup/commit/0a71afc2ba56fda7bd5d3cf2a0475eaf031a6693#diff-d62e3ca5f7708945b1caac6623cb1b15dece3cb5152de414e58c5177fecf96f7) but that is not pulled into Fedora. This is affecting in updating the initial-setup packing with the following errors

   1 Failed to get unit file state for initial-setup-graphical.service: No such file or directory
   2 Failed to get unit file state for initial-setup-text.service: No such file or directory

Please import that patch into Fedora, I noticed it in rawhide, but I expect that its affecting other releases as well.

Comment 1 Martin Kolman 2021-03-29 18:46:05 UTC
Thanks for making me aware of this issues & filling the bug! :)

I've created a PR porting the fix to Rawhide:
https://github.com/rhinstaller/initial-setup/pull/125

I think we should also get this to F34 as well. As F34 is not yet in final freeze, this should be doable.

Comment 2 Fedora Update System 2021-03-30 20:32:47 UTC
FEDORA-2021-f8b21b02fd has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f8b21b02fd

Comment 3 Fedora Update System 2021-03-31 01:20:32 UTC
FEDORA-2021-f8b21b02fd has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f8b21b02fd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f8b21b02fd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-04-05 00:16:54 UTC
FEDORA-2021-f8b21b02fd has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.